Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class tmqflds

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.tmqflds

public final class tmqflds
extends java.lang.Object
implements FldTbl

Field Summary
`static int` | `TQ_CORRID` number: 21 type: carray
`static int` | `TQ_DELIVERYQOS` number: 5 type: long
`static int` | `TQ_DIAGNOSTIC` number: 1 type: long
`static int` | `TQ_EXPTIME` number: 7 type: long
`static int` | `TQ_FAILUREQ` number: 11 type: string
`static int` | `TQ_FLAGS` number: 3 type: long
`static int` | `TQ_MSGID` number: 22 type: carray
`static int` | `TQ_PRIORITY` number: 2 type: long
`static int` | `TQ_QNAME` number: 13 type: string
`static int` | `TQ_REPLYQ` number: 12 type: string
`static int` | `TQ_REPLYQOS` number: 6 type: long
`static int` | `TQ_TIME` number: 4 type: long

Constructor Summary
`tmqflds()`

Method Summary
`java.lang.String` | `Fldid_to_name(int fldid)`
`java.lang.String[]` | `getFldNames()`
`int` | `name_to_Fldid(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TQ_DIAGNOSTIC

    public static final int TQ_DIAGNOSTIC

  number: 1 type: long

### TQ_PRIORITY

    public static final int TQ_PRIORITY

  number: 2 type: long

### TQ_FLAGS

    public static final int TQ_FLAGS

  number: 3 type: long

### TQ_TIME

    public static final int TQ_TIME

  number: 4 type: long

### TQ_FAILUREQ

    public static final int TQ_FAILUREQ

  number: 11 type: string

### TQ_REPLYQ

    public static final int TQ_REPLYQ

  number: 12 type: string

### TQ_QNAME

    public static final int TQ_QNAME

  number: 13 type: string

### TQ_CORRID

    public static final int TQ_CORRID

  number: 21 type: carray

### TQ_MSGID

    public static final int TQ_MSGID

  number: 22 type: carray

### TQ_DELIVERYQOS

    public static final int TQ_DELIVERYQOS

  number: 5 type: long

### TQ_REPLYQOS

    public static final int TQ_REPLYQOS

  number: 6 type: long

### TQ_EXPTIME

    public static final int TQ_EXPTIME

  number: 7 type: long

Constructor Detail

### tmqflds

    public tmqflds()

Method Detail

### Fldid_to_name

    public java.lang.String Fldid_to_name(int fldid)

  Specified by:
    Fldid_to_name in interface FldTbl

### name_to_Fldid

    public int name_to_Fldid(java.lang.String name)

  Specified by:
    name_to_Fldid in interface FldTbl

### getFldNames

    public java.lang.String[] getFldNames()

  Specified by:
    getFldNames in interface FldTbl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference